org.deidentifier.arx.test

## Class TestExamples

- java.lang.Object
- - org.deidentifier.arx.test.TestExamples

    public class TestExamples
    extends java.lang.Object

Perform unit test based on the examples

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`TestExamples()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testExample1()` Perform unit test based on the example
`void` `testExample10()` Perform unit test based on the example
`void` `testExample11()` Perform unit test based on the example
`void` `testExample12()` Perform unit test based on the example
`void` `testExample13()` Perform unit test based on the example
`void` `testExample14()` Perform unit test based on the example
`void` `testExample16()` Perform unit test based on the example
`void` `testExample17()` Perform unit test based on the example
`void` `testExample18()` Perform unit test based on the example
`void` `testExample19()` Perform unit test based on the example
`void` `testExample2()` Perform unit test based on the example Perform unit test based on the example@throws IOException
`void` `testExample20()` Perform unit test based on the example
`void` `testExample21()` Perform unit test based on the example
`void` `testExample22()` Perform unit test based on the example
`void` `testExample23()` Perform unit test based on the example
`void` `testExample24()` Perform unit test based on the example
`void` `testExample25()` Perform unit test based on the example
`void` `testExample26()` Perform unit test based on the example
`void` `testExample27()` Perform unit test based on the example
`void` `testExample28()` Perform unit test based on the example
`void` `testExample29()` Perform unit test based on the example
`void` `testExample3()` Perform unit test based on the example
`void` `testExample30()` Perform unit test based on the example
`void` `testExample31()` Perform unit test based on the example
`void` `testExample32()` Perform unit test based on the example
`void` `testExample33()` Perform unit test based on the example
`void` `testExample34()` Perform unit test based on the example
`void` `testExample35()` Perform unit test based on the example
`void` `testExample36()` Perform unit test based on the example
`void` `testExample37()` Perform unit test based on the example
`void` `testExample38()` Perform unit test based on the example
`void` `testExample39()` Perform unit test based on the example
`void` `testExample4()` Perform unit test based on the example
`void` `testExample40()` Perform unit test based on the example
`void` `testExample41()` Perform unit test based on the example
`void` `testExample42()` Perform unit test based on the example
`void` `testExample43()` Perform unit test based on the example
`void` `testExample44()` Perform unit test based on the example
`void` `testExample45()` Perform unit test based on the example
`void` `testExample46()` Perform unit test based on the example
`void` `testExample47()` Perform unit test based on the example
`void` `testExample48()` Perform unit test based on the example
`void` `testExample49()` Perform unit test based on the example
`void` `testExample5()` Perform unit test based on the example
`void` `testExample50()` Perform unit test based on the example
`void` `testExample51()` Perform unit test based on the example
`void` `testExample52()` Perform unit test based on the example
`void` `testExample53()` Perform unit test based on the example
`void` `testExample54()` Perform unit test based on the example
`void` `testExample55()` Perform unit test based on the example
`void` `testExample56()` Perform unit test based on the example
`void` `testExample57()` Perform unit test based on the example
`void` `testExample6()` Perform unit test based on the example
`void` `testExample7()` Perform unit test based on the example
`void` `testExample8()` Perform unit test based on the example
`void` `testExample9()` Perform unit test based on the example

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestExamples

    public TestExamples()

### Method Detail

#### testExample1

    public void testExample1()

Perform unit test based on the example

#### testExample10

    public void testExample10()

Perform unit test based on the example

#### testExample11

    public void testExample11()

Perform unit test based on the example

#### testExample12

    public void testExample12()

Perform unit test based on the example

#### testExample13

    public void testExample13()

Perform unit test based on the example

#### testExample14

    public void testExample14()

Perform unit test based on the example

#### testExample16

    public void testExample16()

Perform unit test based on the example

#### testExample17

    public void testExample17()

Perform unit test based on the example

#### testExample18

    public void testExample18()

Perform unit test based on the example

#### testExample19

    public void testExample19()

Perform unit test based on the example

#### testExample2

    public void testExample2()
                      throws java.io.IOException

Perform unit test based on the example Perform unit test based on the example@throws IOException

Throws:
  `java.io.IOException`

#### testExample20

    public void testExample20()

Perform unit test based on the example

#### testExample21

    public void testExample21()

Perform unit test based on the example

#### testExample22

    public void testExample22()

Perform unit test based on the example

#### testExample23

    public void testExample23()

Perform unit test based on the example

#### testExample24

    public void testExample24()

Perform unit test based on the example

#### testExample25

    public void testExample25()

Perform unit test based on the example

#### testExample26

    public void testExample26()

Perform unit test based on the example

#### testExample27

    public void testExample27()

Perform unit test based on the example

#### testExample28

    public void testExample28()

Perform unit test based on the example

#### testExample29

    public void testExample29()

Perform unit test based on the example

#### testExample3

    public void testExample3()

Perform unit test based on the example

#### testExample30

    public void testExample30()

Perform unit test based on the example

#### testExample31

    public void testExample31()

Perform unit test based on the example

#### testExample32

    public void testExample32()

Perform unit test based on the example

#### testExample33

    public void testExample33()

Perform unit test based on the example

#### testExample34

    public void testExample34()

Perform unit test based on the example

#### testExample35

    public void testExample35()

Perform unit test based on the example

#### testExample36

    public void testExample36()

Perform unit test based on the example

#### testExample37

    public void testExample37()

Perform unit test based on the example

#### testExample38

    public void testExample38()

Perform unit test based on the example

#### testExample39

    public void testExample39()

Perform unit test based on the example

#### testExample4

    public void testExample4()

Perform unit test based on the example

#### testExample40

    public void testExample40()

Perform unit test based on the example

#### testExample41

    public void testExample41()

Perform unit test based on the example

#### testExample42

    public void testExample42()

Perform unit test based on the example

#### testExample43

    public void testExample43()

Perform unit test based on the example

#### testExample44

    public void testExample44()

Perform unit test based on the example

#### testExample45

    public void testExample45()

Perform unit test based on the example

#### testExample46

    public void testExample46()

Perform unit test based on the example

#### testExample47

    public void testExample47()

Perform unit test based on the example

#### testExample48

    public void testExample48()

Perform unit test based on the example

#### testExample49

    public void testExample49()

Perform unit test based on the example

#### testExample50

    public void testExample50()

Perform unit test based on the example

#### testExample51

    public void testExample51()

Perform unit test based on the example

#### testExample52

    public void testExample52()

Perform unit test based on the example

#### testExample53

    public void testExample53()

Perform unit test based on the example

#### testExample54

    public void testExample54()

Perform unit test based on the example

#### testExample55

    public void testExample55()

Perform unit test based on the example

#### testExample56

    public void testExample56()

Perform unit test based on the example

#### testExample57

    public void testExample57()

Perform unit test based on the example

#### testExample5

    public void testExample5()

Perform unit test based on the example

#### testExample6

    public void testExample6()

Perform unit test based on the example

#### testExample7

    public void testExample7()

Perform unit test based on the example

#### testExample8

    public void testExample8()

Perform unit test based on the example

#### testExample9

    public void testExample9()

Perform unit test based on the example